# BASEstartm Classic DAS
for Allen-Bradley
INTERCHANGEtm Software
Installation and User's Guide

Previous | Contents | Index

# 2.2 Installation

When your system meets all hardware and software requirements, you can install the DAS for AB INTERCHANGE software. The installation takes from 5 to 10 minutes, depending on the system load and configuration.

Install the DAS for AB INTERCHANGE software by using the following steps:

1. Log in to a privileged system manager's account.
2. Set the default directory to SYS$UPDATE:

       $  SET DEFAULT SYS$UPDATE

3. Invoke VMSINSTAL:

       $  @SYS$UPDATE:VMSINSTAL DCM_DTLVVA034 ddcu:

   where:
   - DCM_DTLVVA034 argument is the kit name
   - 034 portion of the name is the version number
   - ddcu argument represents the name of the device on which the installation media is mounted, where:
     - dd is the device code
     - c is the controller designation
     - u is the unit number

VMSINSTAL prompts you for information during the installation. Note that DECnet software does not need to be running to perform the installation procedure. The following is an example of the output from the installation:

    $ @sys$update:vmsinstal DCM_DTLVVA034 mua0:

            VAX/VMS Software Product Installation Procedure V5.5-2

    It is 28-DEC-1999 at 14:15.

    Enter a question mark (?) at any time for help.

    * Are you satisfied with the backup of your system disk [YES]?

    The following products will be processed:

      DCM_DTLVVA V3.4

            Beginning installation of DCM_DTLVVA V3.4 at 14:15

    %VMSINSTAL-I-RESTORE, Restoring product save set A ...
    %VMSINSTAL-I-RELMOVED, Product's release notes have been moved to SYS$HELP.

       Copyright 1992 Compaq Computer Corporation

       Confidential computer software.  Valid license from Compaq or authorized
       sublicensor required for possession, use or copying.  Consistent with FAR
       12.211 and 12.212, Commercial Computer Software, Computer Software
       Documentation, and Technical Data for Commercial Items are licensed to the
       U.S. Government under vendor's standard commercial license.

       BASEstar Classic DAS for Allen-Bradley INTERCHANGE Software
       installation procedure.

       Checking for a valid license...

            Product:      DAS-DTL-CL
            Producer:     DEC
            Version:      3.4
            Release Date: 13-DEC-1996

    * Does this product have an authorization key registered and loaded? Y

       Now checking OpenVMS version...

       Now checking that BASEstar Classic is installed...

       The BASEstar Classic DAS for Allen-Bradley INTERCHANGE Software
       installs as two variants:

       1) Support for INTERCHANGE Software for OpenVMS.  This communicates
       to Allen-Bradley devices from an OpenVMS system through an Ethernet
       Interface.

       2) Support for INTERCHANGE Software for PI MicroVAX.  This option
       runs only on a PI MicroVAX embedded in a Pyramid Integrator Chassis.
       Communication to Allen-Bradley devices is over the backplane
       interface (BPI).

       These two options are mutually exclusive and require the
       corresponding type of Allen-Bradley INTERCHANGE Software to be
       installed.

    * Do you wish to install the Ethernet version of the DAS? Y
    %DCM_DTLVVA-I-DTLNET, Installing Ethernet version of the DAS...

       Now checking INTERCHANGE software version...

       Now checking disk space...

       Now checking BASEstar Classic message port quota...

       The current value for BCC$MAX_PORT_QUOTA of 50000 is too low
       for the BASEstar Classic DAS for Allen-Bradley INTERCHANGE Software.

    * Value to set BCC$MAX_PORT_QUOTA to [100000]:

       The new BCC$MAX_PORT_QUOTA will take effect the next time that BASEstar
       Classic is restarted.  Restart BASEstar Classic software before attempting
       to use this DAS.

    * Do you want to purge files replaced by this installation [YES]?
    * Do you want to run the IVP after the installation [YES]?

       The installation procedure has no further questions to ask and will
       complete in 5 to 10 minutes depending on the system and system load.

    %VMSINSTAL-I-RESTORE, Restoring product save set B ...

       The configuration template file for DTL support, DCM_DTL_CONFIG.TEMPLATE,
       is used to define the Allen-Bradley paths, types, and devices.  Edit this
       file, as necessary, to reflect your specific site configuration.

       During installation it will be placed in the directory BCC$SYSDATA.

       Now linking executable images with INTERCHANGE software...

       The BASEstar Classic parameter ILAN$DTL_TIMEOUT has just been created.

    Parameter ILAN$DTL_TIMEOUT, type Value.
        Current value is 1000,  Default value is 1000.
        Minimum value is 100,  Maximum value is 600000.

       The BASEstar Classic parameter ILAN$DTL_MAX_ELEMENTS has just been created.

    Parameter ILAN$DTL_MAX_ELEMENTS, type Value.
        Current value is 500,  Default value is 500.
        Minimum value is 50,  Maximum value is 100000.

       The BASEstar Classic parameter ILAN$DTL_BACKLOG has just been created.

    Parameter ILAN$DTL_BACKLOG, type Value.
        Current value is 5,  Default value is 5.
        Minimum value is 1,  Maximum value is 40.

       The BASEstar Classic parameter ILAN$DTL_CYCLE_TIME has just been created.

    Parameter ILAN$DTL_CYCLE_TIME, type Value.
        Current value is 70,  Default value is 70.
        Minimum value is 5,  Maximum value is 1000.

       The BASEstar Classic parameter ILAN$DTL_MAX_UNSOL_ELEMENTS has just
       been created.

    Parameter ILAN$DTL_MAX_UNSOL_ELEMENTS, type Value.
        Current value is 100,  Default value is 100.
        Minimum value is 50,  Maximum value is 10000.

       The BASEstar Classic parameter ILAN$DTL_UPL_FLAGS has just
       been created.

    Parameter ILAN$DTL_UPL_FLAGS, type String.
        Current value is "NORUNNING,NOFAULT",  Default value is "NORUNNING,NOFAULT".

       The BASEstar Classic parameter ILAN$DTL_DWNL_FLAGS has just
       been created.

    Parameter ILAN$DTL_DWNL_FLAGS, type String.
        Current value is "MATCH",  Default value is "MATCH".

       The BASEstar Classic parameter ILAN$DTL_SCMP_FLAGS has just
       been created.

    Parameter ILAN$DTL_SCMP_FLAGS, type String.
        Current value is "ALL,NODATATABLES,NOREVISION",  Default value is "ALL,NODAT
    ATABLES,NOREVISION".

       The BASEstar Classic parameter ILAN$DTL_UDC_TIMEOUT has just
       been created.

    Parameter ILAN$DTL_UDC_TIMEOUT, type Value.
        Current value is 300000,  Default value is 300000.
        Minimum value is 1000,  Maximum value is 3600000.

       The BASEstar Classic parameter ILAN$DTLSRV_PRIORITY has just
       been created.

    Parameter ILAN$DTLSRV_PRIORITY, type Value.
        Current value is 6,  Default value is 6.
        Minimum value is 1,  Maximum value is 10.

       The BASEstar Classic parameter ILAN$DTL_DUP_EI_ID has just been created.

    Parameter ILAN$DTL_DUP_EI_ID, type Bit.
        Current value is 0,  Default value is 0.
    %VMSINSTAL-I-MOVEFILES, Files will now be moved to their target directories...

       Copyright 1992 Compaq Computer Corporation

       Confidential commercial computer software.  Valid license required.

       Executing the Installation Verification Procedure.

    Parameter ILAN$DTL_BACKLOG, type Value.
        Current value is 5,  Default value is 5.
        Minimum value is 1,  Maximum value is 40.

    Parameter ILAN$DTL_CYCLE_TIME, type Value.
        Current value is 70,  Default value is 70.
        Minimum value is 5,  Maximum value is 1000.

    Parameter ILAN$DTL_MAX_ELEMENTS, type Value.
        Current value is 500,  Default value is 500.
        Minimum value is 50,  Maximum value is 100000.

    Parameter ILAN$DTL_MAX_UNSOL_ELEMENTS, type Value.
        Current value is 100,  Default value is 100.
        Minimum value is 50,  Maximum value is 10000.

    Parameter ILAN$DTL_TIMEOUT, type Value.
        Current value is 1000,  Default value is 1000.
        Minimum value is 100,  Maximum value is 600000.

    Parameter ILAN$DTL_UPL_FLAGS, type String.
        Current value is "NORUNNING,NOFAULT",  Default value is "NORUNNING,NOFAULT".

    Parameter ILAN$DTL_DWNL_FLAGS, type String.
        Current value is "MATCH",  Default value is "MATCH".

    Parameter ILAN$DTL_SCMP_FLAGS, type String.
        Current value is "ALL,NODATATABLES,NOREVISION",  Default value is "ALL,NODAT
    ATABLES,NOREVISION".

    Parameter ILAN$DTL_UDC_TIMEOUT, type Value.
        Current value is 300000,  Default value is 300000.
        Minimum value is 1000,  Maximum value is 3600000.

    Parameter ILAN$DTLSRV_PRIORITY, type Value.
        Current value is 6,  Default value is 6.
        Minimum value is 1,  Maximum value is 10.

    Parameter ILAN$DTL_DUP_EI_ID, type Bit.
        Current value is 0,  Default value is 0.

       BASEstar Classic DAS for Allen-Bradley INTERCHANGE Software installation
       procedure has succeeded.

            Installation of DCM_DTLVVA V3.4 completed at 14:20

            VMSINSTAL procedure done at 14:20

Previous | Next | Contents | Index